Subject: Re: machine check in kernel for a mpc870 board

From: Scott Wood <[email-masked]>
Date: Thu, 01 Jul 2010 15:25:11 -0500

On 07/01/2010 03:17 PM, Shawn Jin wrote:
>>>> How do I find the address, reg, and range for nodes like localbus,
>>>> soc, eth0, cpm, serial etc.?
>>
>> If your CCSRBAR is 0xfa200000, then pretty much anywhere you see 0xff0xxxxx
>> change it to 0xfa2xxxxx.
>
> I'm not sure about the range settings of 0xfe000000. How do you get this?
>
>         localbus@fa200100 {
>                 compatible = "fsl,mpc885-localbus", "fsl,pq1-localbus",
>                              "simple-bus";
>                 #address-cells =<2>;
>                 #size-cells =<1>;
>                 reg =<0xfa200100 0x40>;
>
>                 ranges =<
>                         0 0 0xfe000000 0x01000000    // I'm not sure about this?
>                 >;
>         };

Change 0xfe000000 to wherever u-boot maps your flash, and 0x01000000 to 
whatever the size of the flash localbus mapping is.

Or more generally update this section to hold whatever is connected to 
the localbus on your board.  The first cell is the chipselect.

>> Make sure that you've got Linux platform code enabled that matches the
>> top-level compatible of your device tree.  Try enabling PPC_EARLY_DEBUG_CPM,
>> making sure to update PPC_EARLY_DEBUG_CPM_ADDR to 0xfa202008.
>
> I enabled this early debug feature but don't know this address change.

The address change is for the different IMMR base, only this use is too 
early/hacky to get it from the device tree.

-Scott